package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.SysTenant;
import com.ruoyi.system.service.ISysTenantService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
@ConditionalOnMissingBean(name = "sysTenantServiceImpl")
public class SysTenantDefServiceImpl implements ISysTenantService {
    @Override
    public List<SysTenant> selectTenantList(SysTenant sysTenant) {
        return new ArrayList<>();
    }

    @Override
    public SysTenant selectTenantById(Long id) {
        return new SysTenant();
    }

    @Override
    public int insertTenant(SysTenant sysTenant) {
        return 0;
    }

    @Override
    public int updateTenant(SysTenant sysTenant) {
        return 0;
    }

    @Override
    public void addUsrTenant(Long userId) {

    }

    @Override
    public int deleteSysTenantUsrByUsrId(Long usrId) {
        return 0;
    }

    @Override
    public int deleteSysTenantUsrByUsrIds(Long[] usrIds) {
        return 0;
    }

    @Override
    public SysTenant selectTenantByUsrId(Long usrId) {
        return new SysTenant();
    }

    @Override
    public int deleteSysTenantByIds(Long[] ids) {
        return 0;
    }

    @Override
    public int deleteSysTenantById(Long id) {
        return 0;
    }
}
